#TITLE=XML Schema 1.0
; XML Schema 1.0
; Syntax file by Welman Jordan (wmjordan@163.com)
; NOTICE: In order to make this syntax to work, the namespace prefix of XSD elements should be bound to "xs".
#INFO
W3C XML Schema 1.0 Auto Completion Cliptext.

Completion prefixes:
	xs  -- XSD element
Completion suffixes:
	as  -- XSD attribute
	--  -- XSD attribute helper

Author: Welman Jordan (Zuo Weiming)
Contact: wmjordan(at)163[dot]com
Date: 2010-08-04

#SORT=n

;<include file="xml.acp.ctl">
#T=xml	(XML Declaration)
<?xml version="1.0"^!?>
#T=xmlenc	(XML with Encoding)
<?xml version="1.0" encoding="^!"?>
#T=encodingis (Encoding)
encoding="^!"
#T=--	(Comment)
<!--^!-->
#T=CDATA	(CDATA section)
<![CDATA[^!]]>
#T=pi	(Processing Instruction)
<?^!?>
#T=pixsl	(XSLT PI)
<?xml-stylesheet type="text/xsl" href="^!"?>
#T=_____________________
^!
#T=Namespaces and attributes
^!
#T=xmlns	(Namespace)
xmlns="^!"
#T=xmlnsis	(XML namespace)
xmlns:^!=""
#T=xsins	(XSI)
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" ^!
#T=xsisl	(XSI schema location)
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="^!"
#T=xsinnsl	(XSI no NS schema)
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="^!"
#T=xmllang
xml:lang="^!"
#T=xmlspace
xml:space="preserve^!"
#T=_____________________
^!
#T=Entities
^!
#T=nbsp
&#160;
#T=crlf	(New line)
&#13;&#10;
#T=nl	(New line)
&#13;&#10;
#T=lf	(Line feed)
&#10;
#T=cr	(Return)
&#13;
#T=sp	(Space)
&#32;
#T=ts	(Tab)
&#09;
#T=lt	<
&lt;
#T=gt	>
&gt;
#T=amp	&
&amp;
#T=quot	"
&quot;
#T=apos	'
&apos;
#
;</include>
#T=_____________________
^!
#T=XSD Elements
^!
#T=xsall	(all)
<xs:all>^!</xs:all>
#T=xsann	(annotation)
<xs:annotation>^!</xs:annotation>
#T=xsannotation
<xs:annotation>^!</xs:annotation>
#T=xsany	(any)
<xs:any namespace="##any" processContents="lax">
^!
</xs:any>
#T=xsaa	(anyAttribute)
<xs:anyAttribute namespace="##any" processContents="lax">
^!
</xs:anyAttribute>
#T=xsanyattribute
<xs:anyAttribute namespace="##any" processContents="lax">
^!
</xs:anyAttribute>
#T=xsai	(appInfo)
<xs:appinfo>^!</xs:appinfo>
#T=xsapp
<xs:appinfo>^!</xs:appinfo>
#T=xsappinfo
<xs:appinfo>^!</xs:appinfo>
#T=xsa	(attribute)
<xs:attribute name="^!" />
#T=xsattr
<xs:attribute name="^!" />
#T=xsattribute
<xs:attribute>^!</xs:attribute>
#T=xsag	(attributeGroup)
<xs:attributeGroup>^!</xs:attributeGroup>
#T=xsattrgroup
<xs:attributeGroup>^!</xs:attributeGroup>
#T=xsattributegroup
<xs:attributeGroup>^!</xs:attributeGroup>
#T=xsc	(choice)
<xs:choice>
^!
</xs:choice>
#T=xschoice
<xs:choice>
^!
</xs:choice>
#T=xscc	(complexContent)
<xs:complexContent>^!</xs:complexContent>
#T=xscomplexcontent
<xs:complexContent>^!</xs:complexContent>
#T=xsct	(complexType)
<xs:complexType name="^!">
</xs:complexType>
#T=xscomplextype
<xs:complexType name="^!">
</xs:complexType>
#T=xsdoc	(documentation)
<xs:documentation>^!</xs:documentation>
#T=xsdocumentation
<xs:documentation>^!</xs:documentation>
#T=xse	(element)
<xs:element name="^!" />
#T=xselement
<xs:element^!></xs:element>
#T=xsenum	(enumeration)
<xs:enumeration>
^!
</xs:enumeration>
#T=xsenumeration
<xs:enumeration>
^!
</xs:enumeration>
#T=xsext	(extension)
<xs:extension base="^!">
</xs:extension>
#T=xsextension
<xs:extension base="^!">
</xs:extension>
#T=xsfield	(field)
<xs:field xpath="^!" />
#T=xsfd	(fractionDigits)
<xs:fractionDigits value="^!" />
#T=xsfractiondigits
<xs:fractionDigits value="^!" />
#T=xsg	(group)
<xs:group>
^!
</xs:group>
#T=xsgroup
<xs:group>
^!
</xs:group>
#T=xsimp	(import)
<xs:import namespace="^!" schemaLocation="" />
#T=xsimport
<xs:import namespace="^!" schemaLocation="" />
#T=xsinc	(include)
<xs:include schemaLocation="^!" />
#T=xsinclude
<xs:include schemaLocation="^!" />
#T=xskey	(key)
<xs:key>^!</xs:key>
#T=xskr	(keyref)
<xs:keyref>^!</xs:keyref>
#T=xskeyref
<xs:keyref>^!</xs:keyref>
#T=xslength	(length)
<xs:length value="^!" />
#T=xslst	(list)
<xs:list itemType="^!" />
#T=xslist
<xs:list>^!</xs:list>
#T=xsmaxe	(maxExclusive)
<xs:maxExclusive value="^!" />
#T=xsmaxexclusive
<xs:maxExclusive value="^!" />
#T=xsmaxi	(maxInclusive)
<xs:maxInclusive value="^!" />
#T=xsmaxinclusive
<xs:maxInclusive value="^!" />
#T=xsmaxl	(maxLength)
<xs:maxLength value="^!" />
#T=xsmaxlength
<xs:maxLength value="^!" />
#T=xsmine	(minExclusive)
<xs:minExclusive value="^!" />
#T=xsminexclusive
<xs:minExclusive value="^!" />
#T=xsmini	(minInclusive)
<xs:minInclusive value="^!" />
#T=xsmininclusive
<xs:minInclusive value="^!" />
#T=xsminl	(minLength)
<xs:minLength value="^!" />
#T=xsminlength
<xs:minLength value="^!" />
#T=xsn	(notation)
<xs:notation>^!</xs:notation>
#T=xsnotation
<xs:notation>^!</xs:notation>
#T=xspattern	(pattern)
<xs:pattern value="^!" />
#T=xsrd	(redefine)
<xs:redefine schemaLocation="^!">
</xs:redefine>
#T=xsredefine
<xs:redefine schemaLocation="^!">
</xs:redefine>
#T=xsres	(restriction)
<xs:restriction base="^!">
</xs:restriction>
#T=xsrestriction
<xs:restriction base="^!">
</xs:restriction>
#T=xsschema	(schema)
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
^!
</xs:schema>
#T=xsselector	(selector)
<xs:selector>^!</xs:selector>
#T=xss	(sequence)
<xs:sequence>
^!
</xs:sequence>
#T=xsseq
<xs:sequence>
^!
</xs:sequence>
#T=xssequence
<xs:sequence>
^!
</xs:sequence>
#T=xssc	(simpleContent)
<xs:simpleContent>^!</xs:simpleContent>
#T=xssimplecontent
<xs:simpleContent>^!</xs:simpleContent>
#T=xsst	(simpleType)
<xs:simpleType name="^!">
</xs:simpleType>
#T=xssimpletype
<xs:simpleType name="^!">
</xs:simpleType>
#T=xstd	(totalDigits)
<xs:totalDigits value="^!" />
#T=xstotaldigits
<xs:totalDigits value="^!" />
#T=xsunion	(union)
<xs:union>
^!
</xs:union>
#T=xsunique	(unique)
<xs:unique>
^!
</xs:unique>
#T=xsws	(whiteSpace)
<xs:whiteSpace value="^!" />
#T=xswhitespace
<xs:whiteSpace value="^!" />
#T=_____________________
^!
#T=XSD Attributes
^!
#T=abstractas
abstract="^!"
#T=afdas
attributeFormDefault="^!"
#T=attributeformdefaultas
attributeFormDefault="^!"
#T=baseas
base="^!"
#T=blockas
block="^!"
#T=bdas
blockDefault="^!"
#T=blockdefaultas
blockDefault="^!"
#T=defas
default="^!"
#T=defaultas
default="^!"
#T=efdas
elementFormDefault="^!"
#T=elementformdefaultas
elementFormDefault="^!"
#T=finalas
final="^!"
#T=fdas
finalDefault="^!"
#T=finaldefaultas
finalDefault="^!"
#T=fixedas
fixed="^!"
#T=formas
form="^!"
#T=idas
id="^!"
#T=itas
itemType="^!"
#T=itemtypeas
itemType="^!"
#T=maxas
maxOccurs="^!"
#T=moas
maxOccurs="^!"
#T=maxoccursas
maxOccurs="^!"
#T=membertypesas
memberTypes="^!"
#T=mtas
memberTypes="^!"
#T=minas
minOccurs="^!"
#T=moas
minOccurs="^!"
#T=minoccursas
minOccurs="^!"
#T=mixedas
mixed="^!"
#T=nameas
name="^!"
#T=nsas
namespace="^!"
#T=namespaceas
namespace="^!"
#T=nillableas
nillable="^!"
#T=pcas
processContents="^!"
#T=processcontentsas
processContents="^!"
#T=publicas
public="^!"
#T=refas
ref="^!"
#T=referas
refer="^!"
#T=slas
schemaLocation="^!"
#T=schemaas
schemaLocation="^!"
#T=schemalocationas
schemaLocation="^!"
#T=sourceas
source="^!"
#T=sgas
substitutionGroup="^!"
#T=substitutiongroupas
substitutionGroup="^!"
#T=systemas
system="^!"
#T=tnas
targetNamespace="^!"
#T=targetas
targetNamespace="^!"
#T=targetnamespaceas
targetNamespace="^!"
#T=typeas
type="^!"
#T=useas
use="^!"
#T=valueas
value="^!"
#T=xpathas
xpath="^!"
#
